XZDEC(1)

NOM
xzdec, lzmadec - Small .xz et .lzma decompresseurs

SYNOPSIS
xzdec [option...] [fichier...]
lzmadec [option...] [fichier...]

DESCRIPTION
xzdec est un outil uniquement de décompression, basé sur liblzma pour les fichiers .xz (et seulement .xz). xzdec est destiné à remplacer xz(1) dans les situations les plus courantes où un script a été écrit pour utiliser xz --decompress --stdout (et possiblement quelques autres options courantes) pour décompresser des fichiers .xz. lzmadec est identique à xzdec, sauf que lzmadec prend en charge les fichiers .lzma au lieu des fichiers .xz.

Pour réduire la taille de l'exécutable, xzdec ne prend en charge ni le multithreading ni la localisation et ne lit pas les options des variables d'environnement XZ_DEFAULTS et XZ_OPT. xzdec ne gère pas l'affichage d'information sur la progression du traitement : envoyer SIGINFO à xzdec ne fait rien, mais envoyer SIGUSR1 termine le processus au lieu d'afficher de l'information sur la progression.

OPTIONS

-d, --decompress, --uncompress
    Ignoré pour la compatibilité avec xz(1), xzdec ne gère que la décompression.

-k, --keep
    Ignoré pour la compatibilité avec xz(1), xzdec ne crée ni ne supprime jamais aucun fichier.

-c, --stdout, --to-stdout
    Ignoré pour la compatibilité avec xz(1), xzdec écrit toujours les données décompressées sur la sortie standard.

-q, --quiet
    Spécifier cela une fois ne fait rien, car xzdec n'affiche jamais aucun avertissement ou notification. Spécifier cela deux fois pour supprimer les erreurs.

-Q, --no-warn
    Ignoré pour la compatibilité avec xz(1), xzdec n'utilise jamais le satut de sortie 2.

-h, --help
    Afficher un message d'aide et quitter.

-V, --version
    Afficher le numéro de version de xzdec et liblzma.

STATUT DE SORTIE

0   Tout s'est bien passé.

1   Une erreur est survenue.

A la différence de xz(1),xzdec n'a pas de messages d'avertissement, et donc le statut de sortie 2 n'est pas utilisé par xzdec.

NOTES
Utilisez xz(1) au lieu de xzdec ou lzmadec pour un usage normal de tous les jours. xzdec ou lzmadec ne sont utiles que pour les situations où il est important d'avoir un plus petit décompresseur que le xz(1) complet.

xzdec et lzmadec ne sont en fait pas vraiment si petits. La taille peut être encore réduite en abandonnant des fonctionnalités de liblzma au moment de la compilation, mais cela ne devrait pas être fait pour des exécutables distribués sur des systèmes d'exploitation classique non embarqués. Si vous avez besoin d'un décompresseur vraiment petit, pensez à utiliser XZ Embedded.

VOIR AUSSI
xz(1)

XZ Embarqué: <https://tukaani.org/xz/embedded.html>